0

Trying to get Placid working but I can't get Twitter to Connect. The keys are all set correctly, but when I click 'Connect', I get this error:

Craft\OauthService and its behaviors do not have a method or closure named "encodeToken".

On line 266 of /home/rizen/sites/rizencreative.com/craft/app/framework/base/CComponent.php(266)

throw new CException(Yii::t('yii','{class} and its behaviors do not have a method or closure named "{name}".',
    array('{class}'=>get_class($this), '{name}'=>$name)));
3

@crawf was right with his answer, but I recently saw the preview release for Craft 3, so Placid 2 is going to wait and be written for that.

So I thought I should fix the current version of Placid to work with the latest version of OAuth (currently 0.9.71) and as a brucie bonus you can now connect to more than just the twitter api :)

You can get the latest version (1.3.0) on github and any issues just give us a shout on the repo (or here, whichever you feel most relevant)

2

Are you using the 0.9.60 version of OAuth? There are some issues with Placid and the latest OAuth version, which will be fixed in Placid 2.

3
  • Is there a release date on that update? Stuck with the same problem here.
    – tom
    May 7 '15 at 8:59
  • No, I'm sure Alec is working on it. I can confirm that Placid 1.2.5 works with OAuth 0.9.60. Just download the older OAuth plugin from Dukt and use that for now. Works great!
    – crawf
    May 7 '15 at 12:07
  • The latest version has been pushed to github, which should see this error fixed, see my answer above May 29 '15 at 11:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.